
%bcond_with	snap	# include shapshot information in version,
			# should be used only in official Th snapshots

%define snapshot	2022

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
# http://csrc.nist.gov/publications/nistir/ir7695/NISTIR-7695-CPE-Naming.pdf

%if %{with snap}
%define	distname	Th/%{snapshot}
%define cpename		cpe:/o:pld-linux:pld:%{distversion}:%{snapshot}
%else
%define	distname	Th
%define cpename		cpe:/o:pld-linux:pld:%{distversion}
%endif
%define	distversion	3.0
%define	distrelease	"PLD Linux (%{distname}) release %{distversion}"

%define		rel	15
Summary:	PLD Linux release file
Summary(cs.UTF-8):	Soubor s číslem verze systému PLD Linux
Summary(da.UTF-8):	PLD Linux release fil
Summary(de.UTF-8):	PLD Linux Release-Datei
Summary(es.UTF-8):	El fichero con la versión de PLD Linux
Summary(fr.UTF-8):	Fichier de version de PLD Linux
Summary(id.UTF-8):	File rilis PLD Linux
Summary(is.UTF-8):	Útgáfuskráin fyrir PLD Linux
Summary(it.UTF-8):	File della release di PLD Linux
Summary(ja.UTF-8):	PLD Linux リリースファイル
Summary(ko.UTF-8):	PLD Linux 배포 파일
Summary(nb.UTF-8):	PLD Linux release fil
Summary(pl.UTF-8):	Wersja Linuksa PLD
Summary(pt.UTF-8):	O ficheiro de versão final do PLD Linux
Summary(ru.UTF-8):	Файл релиза PLD Linux
Summary(sk.UTF-8):	Súbor označujúci verziu PLD Linux
Summary(sl.UTF-8):	Datoteka s podatki o izdaji PLD Linuxa
Summary(sv.UTF-8):	PLD Linux versionsfil
Summary(tr.UTF-8):	PLD Linux sürüm dosyası
Summary(zh_CN.UTF-8):	PLD Linux 版本文件。
Name:		pld-release
Version:	%{distversion}
Release:	%{rel}%{?with_snap:.%{snapshot}}
License:	GPL
Group:		Base
Provides:	system-release(releasever) = %{distversion}
Conflicts:	issue < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux release file.

%description -l cs.UTF-8
Soubor s číslem verze systému PLD Linux.

%description -l da.UTF-8
PLD Linux release fil.

%description -l de.UTF-8
PLD Linux Release-Datei.

%description -l es.UTF-8
El fichero con la versión de PLD Linux.

%description -l fr.UTF-8
Fichier de version de PLD Linux.

%description -l id.UTF-8
File rilis PLD Linux.

%description -l is.UTF-8
Útgáfuskráin fyrir PLD Linux.

%description -l it.UTF-8
File della release di PLD Linux.

%description -l ja.UTF-8
PLD Linux リリースファイル

%description -l ko.UTF-8
PLD Linux 배포 파일.

%description -l nb.UTF-8
PLD Linux release fil.

%description -l pl.UTF-8
Wersja Linuksa PLD.

%description -l pt.UTF-8
O ficheiro de versão final do PLD Linux.

%description -l ru.UTF-8
Файл релиза PLD Linux.

%description -l sk.UTF-8
Súbor označujúci verziu PLD Linux.

%description -l sl.UTF-8
Datoteka s podatki o izdaji PLD Linuxa.

%description -l sv.UTF-8
PLD Linux versionsfil.

%description -l tr.UTF-8
PLD Linux sürüm dosyası.

%description -l zh_CN.UTF-8
PLD Linux 版本文件。

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

echo %{distrelease} > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release
ln -sf pld-release $RPM_BUILD_ROOT%{_sysconfdir}/system-release

cat >$RPM_BUILD_ROOT%{_sysconfdir}/os-release <<EOF
NAME="PLD Linux"
VERSION="%{distversion} (%{distname})"
ID="pld"
VERSION_ID="%{distversion}"
PRETTY_NAME="PLD Linux %{distversion} (%{distname})"
ANSI_COLOR="0;32"
CPE_NAME="%{cpename}"
HOME_URL="https://www.pld-linux.org/"
BUG_REPORT_URL="http://bugs.pld-linux.org/"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_sysconfdir}/pld-release
%{_sysconfdir}/system-release
%changelog
* Tue Jan 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pld-release.git;a=log;h=auto/th/pld-release-3.0-15.2022

* Tue Jan 03 2023 Jan Rękorajski <baggins@pld-linux.org> 6fb59ee
- 2022 snap

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 70f1309
- Release 15 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> a0c6b42
- 2021 snap

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 8c72f22
- release 14 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 0809105
- releasing 2020 snapshot

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> b099c1f
- release 13 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> 7ebf05a
- 2019 snapshot

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> dbafa7c
- release 12 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> 5a6830a
- 2018 snapshot

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> 66ca235
- release 11 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> a7ee545
- 2017 snapshot

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> daca189
- rel 10

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> d560f60
- 2016 snapshot

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> 63c8436
- use system-release format compatible with redhat

* Fri May 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 7a6cd5a
- include system-release as symlink to pld-release (like RH/Fedora/CentOS do)
- release 8

* Sat Mar 12 2016 Elan Ruusamäe <glen@delfi.ee> 50cf5e6
- https homepage url

* Sun Dec 06 2015 Jan Rękorajski <baggins@pld-linux.org> 18a300f
- rel 7

* Sun Dec 06 2015 Jan Rękorajski <baggins@pld-linux.org> aa6e124
- 2015 snap

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> b6eb088
- release 6 (by relup.sh)

* Fri Nov 28 2014 Jan Rękorajski <baggins@pld-linux.org> c7977f6
- make release automation friendly

